Access Common Tools

Click the application button to quickly:
  • Create a drawing
  • Open an existing drawing
  • Save a drawing
  • Prepare a drawing with passwords and digital signatures
  • Print a drawing
  • Publish a drawing
  • Exit AutoCAD


Access Views with ShowMotion

With ShowMotion, you can access named views that are stored in the current drawing and that are organized into categories of animated sequences. These sequences can be used to create presentations and to review designs.
Each category of animated sequences is displayed as a thumbnail in the ShowMotion panel. The views in each category are also displayed as thumbnails. With the thumbnails, you can find, view, and modify animated sequences.
The animated views created through ShowMotion are known as Shots. They can be modified through the View / Shot Properties dialog box. From the Shot Properties tab within this dialog box, you can adjust transitions between views. The type of movement, the position of the camera, and the length of recording can also be changed. However, the options available on the Shot Properties tab depend on which view type has been selected. For example, if the view type of a Shot is Still, the length of the recording can be changed, but not the position of the camera. This is not the case when the selected view type is Cinematic or Recorded Walk. Different options appear for each view type.


Access Common Tools

The application window has been enhanced to provide easy access to common tools such as the menu browser, Quick Access toolbar and InfoCenter. Quickly search for a variety of information sources, access product updates and announcements, and save topics with InfoCenter. Easily access drawing tools, navigation tools and Quick View and annotation scaling tools from the status bar.


Insert User Message

When recording an action macro, you can add a message that is displayed during playback. You can use a message to provide instructions that explain how to successfully play back an action macro or provide an introduction about what the action macro does. You can insert a message anywhere in an action macro. When a message is displayed, you have the option to continue or stop the playback of the macro.


Action Recorder Enhancements

With the Action Macro Manager, you can locate and manage saved action macro (ACTM) files. You can use the Options button to locate the stored ACTM files in the Action Recorder Settings folders and perform the basic file management tasks such as create multiple copies of an action macro file and rename, modify, and delete one or more action macros.
You can insert a base point to establish an absolute coordinate point that is used by the actions that follow it in an action macro. A base point can be inserted in an action macro through the Action tree. During the playback of an action macro, by default, a request to specify a new coordinate point is made for each base point in an action macro.
Actions in an action macro can be modified to be played back with the values that they were recorded with or to pause for input during playback. While recording an action macro, you can record the current default value displayed on the command line or use the default value that is current when the action macro is played back. Pressing Enter without entering a specific value during recording, displays a dialog box where you select to use the current value during recording or the default value at playback. In the Action tree, you can modify a value node to pause and request input for during playback by enabling Pause for User Input.


Add a Break to a Dimension

You can break dimension or extension lines where they intersect geometric objects or other dimensions. While this is not a recommended drafting practice, it can become necessary in some circumstances.


Additional Enhancements

Check out the following additional enhancements. Refer to the Help system for more information on each enhancement.


Additional Enhancements

Check out the following additional enhancements. Refer to the Help system for more information about each enhancement.


Add a Jog to a Linear Dimension

You can add a jog line to a linear dimension to represent a measurement whose actual value is not the same length between the extension lines. Jogged dimension lines are typically used to indicate when a dimensioned object is shown smaller than the true length of the object being dimensioned.


Add and Modify Scale Representations

When you create an annotative object in your drawing, it supports one annotation scale: the annotation scale that is current when you create the object. The object can be updated to support additional annotation scales. If you’ve changed the annotation scale on the application or drawing status bar, you can select the object in the drawing and update it to support the current scale, by clicking Modify > Annotative Object Scale > Add Current Scale. Notice how the object now displays at the current scale. This object now supports two scales.
Annotative objects display different scale representations based on the annotation scales that the object supports. For example, if an annotative dimension supports two annotations scales, it has two scale representations. When you select an object that supports more than one scale, the scale representation that supports the current scale is highlighted. The other scale representations of the object display in a dimmed state.
You can use grips to modify individual scale representations of annotative objects. This allows you to modify the placement of individual scale representations of the same object. For example, you may want the same text to display in two different places in two different viewports. Set the annotation scale for the scale representation you want to modify. Then use the grips to modify the scale representation.


Add RSS Feed

The RSS Feeds (information published by a website to which you subscribe) panel displays a list of the RSS subscriptions. In the right pane, you can add, remove, or change the display name of each RSS subscription.


Adjust the Distance Between Dimensions

You can adjust the spacing between parallel linear and angular dimensions automatically or based on a specified spacing value. Along with adjusting the spacing of dimension lines, you can also align dimension lines with each other by entering a spacing value of 0. Being able to adjust the spacing between or aligning dimension lines eliminates the process of having to recreate the dimensions, or use grips to align and reposition the dimension lines one by one.


Adjust Procedural Maps

After you create and apply maps to a material, you can adjust the scaling and tiling settings. A panel for Material Scaling and Tiling, and Material Offset and Preview has been added to the Material window to make changes to these settings. In addition, you can specify a scaling factor and synchronize the settings to be shared across all maps, or you can specify the settings at the procedural map level. Materials can be adjusted to fit the shape of the object. Applying the appropriate settings to an object improves the fit for that object. The change will appear in the material preview swatch.


Align Multileaders

With the MLEADERALIGN command, you can align several multileader objects along a specified line. The horizontal landing will be placed along an invisible line that you specify. Arrowheads will remain where they were originally placed.
When you align the multileader objects, you can also space them. By distributing the multileaders, the invisible line used to align the multileader objects is also used to evenly space them as desired. The multileaders are distributed evenly along the length of the alignment line.
By making the multileaders parallel, the leader lines of all selected multileaders will be placed parallel to each other.


Use Annotative Blocks

With Annotative blocks and attributes, you can combine multiple objects into a single object that can be used to annotate your drawing. For example, if you want to use geometric objects to annotate your drawing, combine the objects into an annotative block definition.
You can also create annotative attributes for non-annotative blocks. Use this option when you want the geometry in the block to display on the paper based on the scale of the viewport, but you want the attribute text to display at the paper height defined for the attribute.


Use Annotative Styles

Minimize the steps to annotate a drawing by using annotative styles. Annotative text, dimension, and multileaders styles can create annotative objects. The dialog boxes used to define these objects contain an Annotative check box where you can specify to make the styles annotative Annotative styles display a special icon before their names in dialog boxes and the Properties palette.


Set Annotation Scale

Annotation scale is a setting that is saved with model space, layout viewports, and model views. When annotative objects are created, they are scaled based on the current annotation scale setting and automatically displayed at the correct size. Before you add annotative objects to your model, set the annotation scale to the same scale as the viewports in which you want those objects to display. The annotation scale automatically displays the objects in your model at the correct size.


Create Geometric Relationships

Overview
Geometric constraints determine the relationships between objects, or points on objects, relative to each other. Once created, they restrict any changes that would violate the constraints. Here, a Fix constraint is applied to the circle to lock its location, and then a Tangent constraint is applied between the circle and the line. When the line is stretched using a grip, the line or its extension remains tangent to the circle.
Apply Multiple Constraints
Typically, multiple constraints are applied to each object in a drawing. Also, commands such as Copy, Array, and Mirror duplicate geometry with all their associated constraints. You can choose from a wide range of types of constraints, each with a distinctive icon.
Use Constraint Bars
Constraint bars display one or more geometric constraints that are associated with the objects in a drawing. Roll over an object to highlight all the constraint icons associated with an object. Roll over a constraint icon to highlight all objects associated with that constraint. Use the Constraint Settings dialog box to enable or disable the display of constraint bars for specific constraints.
Constrain Objects Automatically
You can automatically apply geometric constraints to selected objects or to all objects in a drawing. This capability provides a way to apply geometric constraints quickly to objects that can meet the constraint conditions. Use the Constraint Settings dialog box to specify:
  • The type of constraints applied
  • The order in which they are applied
  • The tolerances to be evaluated


Arrange Multileaders

You can attach multiple leader lines to the same note; multiple notes can be evenly spaced and quickly aligned.
Organize a drawing by using the MLEADERCOLLECT command to group several multileader objects with block content and attach them to a single leader line.


Attach a PDF as an Underlay

PDF files can be attached to a drawing as an underlay, in the same way that DWF and DGN files can be attached. By attaching a PDF file to a drawing, you can leverage content stored in a PDF file, which might normally be attached to a bid such as details or standard disclaimers. When attaching a PDF file to a drawing, you decide which pages should be referenced and how it should be displayed in the drawing. Once a PDF file is attached to a drawing, you can control the display of the PDF underlay in the following ways:
  • Turn individual layers on or off
  • Adjust the fade and contrast of content
  • Clip the underlay to show only portions of the referenced page

    • You can use object snaps to snap to geometry in a PDF underlay if the referenced page contains vector-based objects and not raster objects.


Browse Documents

Display, sort, and access supported AutoCAD files that you recently opened. You can view the files you most recently opened using the Recent Documents list; you can view only files that are currently open using the Open Documents list.
When you hover over a document in either of the lists, a preview is displayed along with the following information:
  • File path where the document is stored
  • Date the document was last modified
  • Version of the product used to create the document
  • Name of the person who last saved the document
  • Name of the person who is currently editing the document


Find Menu Commands

The menu browser displays all available menu commands in one place. You can search for available menu commands, or tag frequently used commands to make them easier to find later.
Search for menu commands using the search field displayed at the top of the menu browser. Search results can include menu commands, basic tooltips, command prompt text strings, or tags. To execute a menu command, click the desired search result in the list.
By using tags, you can group commands according to your drawing needs. For example, a group of menu commands that you use frequently for a particular project can be assigned a tag named for that project. To create and edit tags, open the Tag Editor in the Customize User Interface dialog box.


Customize Quick Properties

The Quick Properties panel displays the commonly used properties for each object type, thus making them easier to find and improving access to them. With the Quick Properties panel, you can edit properties for a selected object, or for all objects in a selection.
You can customize the contents of the Quick Properties panel for every object type. To change a defined object’s properties and access other settings of the Quick Properties panel, click the Customize button to display the Customize User Interface (CUI) editor.
Click the Quick Properties node to display the Quick Properties customization dialog box. Click the Edit Object Type list button at the top of the objects pane to open the Edit Object Type List dialog box where you can add or remove object types. Click the General button to display and set the general properties (Color, Layer, Linetype, and so on) for objects without any defined quick properties.


Enhanced Dynamic Blocks

Overview
Use geometric and dimensional constraints in dynamic block definitions to simplify dynamic block creation. The constraint-based controls are ideal for inserting blocks that depend on your entering a size or a part number.
Constraints in Dynamic Blocks
When creating a block definition, you can apply geometric constraints the same way that you would in a parametric drawing. In addition, special dimensional constraints called constraint parameters provide access to the parameter values after the block is inserted. The Block Properties Table displays the available values for a set of parameters, properties, and attributes in the block definition.
The Parameters Manager
In the Block Editor, the Parameters Manager displays a list of constraints, user and action parameters, and attribute definitions. You can use the Parameters Manager to create new user parameters for the block definition.
Test a Block Definition
You can now test a block definition as you create a dynamic block without having to save and exit from the Block Editor. Quickly switching back and forth between the Block Editor and the Test Block window makes trying out and testing changes easier.


Create, Smooth, and Refine a 3D Mesh

Several standard mesh shapes, known as primitives, can be used as a starting point for mesh modeling. The creation method for mesh is the same as the method used to create 3D solid primitives. By default, you create mesh primitives with no smoothness and apply the smoothness later as needed. In the Mesh Primitive Options dialog box, you can modify the default tessellation, which defines the number of faces per dimension for each type of mesh primitive object.
One way to modify existing meshes is to increase or decrease their smoothness. Level 0 represents the lowest level of smoothness, which can differ for different objects. Level 4 provides a high degree of roundness.
For detail work, refine a smoothed mesh object or individual faces. Refining an object converts all underlying mesh facets to editable faces. Object refinement also resets the current smoothness level to 0. Refining an individual face (as shown in this example) subdivides the face into four new faces, but does not reset the base level of smoothness. This method confines the changes to a smaller area and preserves system resources.


Create Annotative Objects

You can turn on the Annotative property for the following objects that are commonly used to annotate drawings:
  • Text
  • Mtext
  • Dimensions
  • Hatches
  • Tolerances
  • Multileaders
  • Leaders
  • Blocks
  • Attributes

    • When the Annotative property is turned on (set to Yes), these objects are called annotative objects.
    Many of the dialog boxes used to create these objects now have an Annotative check box, where you can specify to make the object annotative. You can also change existing objects to be annotative by changing the annotative property on the Properties palette. Annotative objects display a special icon when you hover the mouse over them in a drawing.


Create Better Tables

Using AutoFill grips, you can drag to automatically increment data in a table. You can also use AutoFill grips to automatically populate date cells as well.
Activating the Table Breaking grips will break a table into multiple fragments. When you drag the activated grip, you determine the height of the primary and secondary table fragments. If a broken table is set to Manual Positions in the Properties palette, then table fragments can be placed anywhere within your drawing. Table fragments set to Manual Heights in the Properties palette can have different heights.
New number and currency formatting within rows, columns, and individual cells is available.


Create a Geographic Location

When geographic location information is embedded in a drawing, a geographic marker —visual representation of location information — is created. You can include geographic location information in the following ways:
  • Import a KML / KMZ file that has the location information
  • Import a location from Google Earth.
  • Manually enter the location values.
    • Import a KML / KMZ file
    You can import the latitude, longitude, and altitude of a given location from a Google Earth (KML / KMZ) file. AutoCAD uses the values stored in the <name> and <point> element in the KML and KMZ files to extract relevant information. Click Tools menu > Geographic Location, or enter geographiclocation in the Command prompt.
    Import a location from Google Earth
    You can import the coordinates of a specific location from Google Earth. AutoCAD uses the placemarks defined in the Google Earth selection to determine the coordinates for the particular location. Click Tools menu > Geographic Location, or enter geographiclocation in the Command prompt.
    Enter the Location Values
    You can manually enter the latitude, longitude, north direction, elevation, and up-direction values. Click Tools menu > Geographic Location, or enter geographiclocation in the Command prompt.


Create an Inspection Dimension

You can add an inspection dimension to existing dimension objects. For example, an inspection dimension can be added to a dimension to indicate how often a critical dimension or tolerance value of a part being manufactured for an industrial machine should be checked to ensure that the part meets or exceeds all quality assurance requirements.


Work with Layer Palette Open

You can now keep the Layer Properties Manager open while making multiple layer property changes. You can select the layers you want to be visible without reopening and closing the dialog box. You do not need to click OK or Apply to view layer property changes.
You can now use layer filters in real time. Filter selection is instantly reflected in the drawing session. With the Hide/Show Layer Filters pane button, you can now control the display of the layer filters pane in the Layer Properties Manager.
When the full layer filter pane is closed, click the Layer Filter button to access the filters. This displays the layer filters in the current document.


Create a Multileader

A multileader is a leader object that has more options. With a multileader, you can place a leader object head first, tail first, or content first.
You can create multileader styles similar to those in dimensions, tables, and text. You can also turn these styles into tools and add them to a tool palette for quick access.


Create an Action Macro

You can create an “action” macro and record a series of commands and input values and then playback the macro later. With the Action Recorder, you can easily create macros; this process does not require any programming experience. You can insert a message in an action macro that displays during playback and you can change a recorded value to request a new value during playback.


Print to a 3D Printing Service Provider

3D printing is the process of creating a realistic and accurate prototype of a 3D model in hours instead of days or weeks. You can send a 3D model directly to a vendor, which uses a 3D printer to create a prototype. Creating or modifying a prototype through this method is less time consuming and costly than other methods. A prototype can be created from different materials depending on the capabilities of the 3D printer used. 3D printers can create open or watertight prototypes based on the design of the 3D model.


Customize Ribbon Contextual Tab States

You can assign a ribbon tab to a contextual ribbon tab state to control which ribbon panels are displayed when an object is selected in the drawing window or a command is active. When the contextual state is met, the assigned ribbon tabs are displayed as individual or merged ribbon tabs on the ribbon. To add a ribbon tab to a ribbon contextual tab state, drag a ribbon tab from the Tabs node in the Customizations In pane to the contextual tab state under the Contextual Tab States node.


Create Table Styles

Table styles are enhanced to include additional format and display options for borders and margins within tables and table cells. You can quickly create table styles from existing tables in a drawing.
Table styles contain cell styles, which define the look of a table upon insertion. When a table that was created from a table style you insert, you can specify a cell style for the first, second, and all other data rows.


View and Create Extended Help

Tooltips have been enhanced and now include two levels of content: basic and extended. When you initially hover the cursor over a command or control, the basic tooltip is displayed. It contains a general description of the command or control, the command name, shortcut keys, and command tags. Extended tooltips are displayed after the cursor hovers over a command or control for a defined increment of time. You set the time increment in the Options dialog box. Extended tooltips provide additional information about a command or control and can show a graphic illustration.
You can add extended tooltip information to your custom commands with the Customization User Interface editor.


Customize the Quick Access Toolbar (QAT)

Customizing and controling the orientation of the Quick Access Toolbar (QAT) in relation to the ribbon has been improved. Instead of adding commands directly to the Quick Access Toolbar node of a workspace, you now create a new toolbar and add commands to it in the Customizations In pane. After you customize a Quick Access Toolbar, you add it to the Quick Access Toolbar node of a workspace. Adding it to the Quick Access Toolbar node displays the listed commands and controls when the workspace is current. In the Customize User Interface (CUI) Editor, you can also define the orientation of the Quick Access Toolbar to be above or below the ribbon when it is docked horizontally.


Customize the Ribbon

You can create your own panels to display on the ribbon; you can also modify the commands and controls on existing ribbon panels. To create or modify a ribbon panel, use the Customize User Interface Editor (Customizations In <file name> pane, Ribbon Panels node). When working with ribbon panels, you can create new rows or sub-panels to organize commands and controls. You use a panel separator to control which rows are always displayed. The rows above the panel separator are always displayed; those below are displayed only when the panel is expanded. After you create or modify a panel, you can display the panel on a ribbon tab. Ribbon tabs are used to group similar ribbon panels. To display a ribbon tab on the ribbon, use the Workspace Contents pane in the Customize User Interface Editor to modify which ribbon tabs are displayed when a workspace is set current.


Overview of Customization Changes

Several enhancements have been made for customizing the user interface. Changes to Toolbar Customization – You can interactively add, reposition, and remove commands in the Toolbar Preview pane or directly in the application window.
Create Toolbar from Menu – You can create toolbars and toolbar flyouts from existing menus.
Changes to Dashboard Customization – You can customize the dashboard by adding or modifying dashboard panels using the tree in the Customizations In pane or the Panel Preview pane.
Ability to Copy, Duplicate, and Paste – You can copy, paste, or duplicate commands and user interface elements to create copies of existing content in a CUI file.
Command List Filter – You can filter the command list based on a text string to narrow down the command you are looking for.


Customize Quick Access Toolbar

On the Quick Access toolbar, you can store commands that you frequently use. Right-click the Quick Access toolbar and click Customize Quick Access Toolbar. The Customize User Interface dialog opens and displays the list of commands available. Drag commands you want to add from the command list pane in the Customize User Interface dialog box to the Quick Access toolbar.


2D Drafting and Annotation Workspace

The 2D Drafting and Annotation workspace contains only toolbars, menus, and palettes related to 2D drafting and annotation. The dashboard displays buttons and controls that are associated with 2D drafting and annotation.


Use the Drawing Status Bar

The drawing status bar contains tools for scaling annotations. Different tools display for model space and paper space. When the drawing status bar is turned off, its tools are moved to the application status bar.


Edit Constrained Geometry
When you edit geometry that is not fully constrained, the constraints will behave precisely, but the results can be suprising. For example, lines and arcs that are not fully constrained are assumed to exist on infinite lines or full circles.
Constraints and Design Changes
You can easily make design changes to constrained geometry using:
  • Standard editing commands
  • Grip modes
  • The Properties palette
  • The Parameters Manager

    • As you make changes to a fully constrained drawing, the geometric and dimensional constraints control the results. You can then see exactly how various ideas and changes affect the design.


Split and Crease Meshes

To modify small areas without affecting the shape of the entire mesh object, you can split faces or crease edges. For example, splitting a face divides it into two separate faces. Subsequent changes to related subobjects then have a more subtle effect on the surrounding faces. In this example, three faces are split so that a building detail can be moved using the 3D Scale gizmo. To prevent distortion, the faces are creased.
Creasing sharpens mesh edges. It can protect edges from the effects of subsequent smoothing activities and minimizes the distortion of adjacent faces. If you need to smooth a creased edge later, simply remove the crease. This example demonstrates how a cone can be modified by extrusion and gizmo editing, and then creased to maintain specified edges.


Illuminate with Luminaires

To create realistic lighting in a drawing, you can embed photometric lights in blocks that also contain geometry. Tool palettes of photometric lights provide easy access to photometric lighting bulbs, lamps, or webs. You can select from fluorescent, low pressure sodium, incandescent, and high intensity discharge types of lighting. A luminary assembles a set of light objects into a light fixture. For example, you can create a set of lights to create a light over a dining area. You can select the photometric lights from the tool palettes, position them within a 3D representation of the light, and create a block of the light objects and the 3D representation of the light to create the light fixture with photometric properties.


Export and Publish Files

The Export To ribbon panel provides quick access to tools used for exporting an area in model space or a layout to a DWF, DWFx, or PDF file. When exporting, you can use page setup overrides and export options to control the appearance and type of file exported. In model space, you can select from the following options:
  • Display
  • Extents
  • Window

    • In a layout, you can select from the following options:
  • Current Layout
  • All Layouts
    • The workflow for publishing layouts and sheets has been simplified. Sheets are contained in a recently opened or saved sheet list (DSD) file. Along with being able to publish sheets from a recently opened sheet list, layouts and sheets can be published directly to a PDF file similar to a DWF or DWFx file. In addition to a simplified workflow, the following changes were also made to publishing:
  • Standard and custom precision presets can be used to control the accuracy of the published file
  • Multi-sheet PDF files can be created from layouts and sheets
  • PDF files can be published directly from the Sheet Set Manager
  • PDF files can be created and automatically published when a drawing is closed or saved


Edit a Nonassociative Hatch

You can use grips to easily change the extents of nonassociative hatches. The boundary grip controls are displayed for nonassociative hatch objects. You can now modify the boundary and hatch object together using these grips.
When you hover over a grip, the tooltip displays editing options for the grip. You can cycle through the options by selecting a grip and pressing the ctrl key. Grip editing options vary by the hatch boundary type—polyline, circle, spline, or ellipse. With the vertex grip, you can add or remove. For a polyline segment, you can convert an edge grip into a line or arc.


Extract Data From Drawings

Using the Data Extraction wizard, you can extract property data from objects in drawings (including blocks and attributes) and drawing information. The extracted data can be linked to information in a Microsoft Excel spreadsheet and output to a table or an external file. In this example, the area of each condominium unit is extracted to create a table. Later, additional information from a Microsoft Excel spreadsheet will be added to the table.
Select Objects and Properties for Data Extraction In this example, polylines that outline the perimeter of each condominium unit are selected to define the data source. The Select Objects page in the wizard lists the polyline objects. By clicking Next in the wizard, the Select Properties page displays a list of properties pertaining to the selected polylines. For this extraction, Area is the only property to be extracted.
Refine the Extracted Data The Refine Data page is where the extracted data is displayed in columns. On this page, columns can be reordered and sorted, renamed, and hidden. Other organizational and formatting tasks can be done such as inserting formula columns and footer rows. By right-clicking a column label, a shortcut menu displays various options. In this example, three columns are displayed in the grid. Because the Count and Name columns do not need to be included in the table, they can be hidden by clicking the Show Count Column and Show Name Column check boxes.
Format the Data The data in the column is displayed in sq. inches but needs to be displayed in feet and inches in the table. This is easily accomplished by first inserting a formula column that divides the numerical data by 12. Using the Insert Formula Column dialog box, the numerical data in the Area column is divided by 12. Using the Set Cell Format dialog box, Architectural is selected to display the numerical data in the formula column to architectural units.
Hide Columns Because it’s not necessary to have both columns in the table, the Area column is hidden so that it is not displayed in the table. Right-click its column label and click Hide Column. The last thing to do is rename the formula column to Sq Ft. Right-click the column label, and click Rename Column. The Sq Ft column contains an fx symbol to indicate that it is a formula column.


Find Learning Resources

The Learning Resource page provides centralized access to learning resources that are available for AutoCAD. To access the Learning Resource page, click here.


General Dimension Enhancements

Several general enhancements to dimensions have been added that include tolerance alignment options, quadrant support for angular dimensions, and arc extensions for radial dimensions.
  • Dimension Tolerance Alignment- You can align stacked tolerances using either the operational symbol or decimal separator. The tolerance alignment is part of a dimension style or can be set individually for a dimension.

  • Angular Dimension Text - You can control the location of the text of angular dimensions outside the angle being measured. If the text is specified outside the angle, an extended dimension arc is created to the dimension text.

  • Arc Extension Option for Radial Dimensions - You can specify the text location of radius, diameter, and jogged radial dimensions with an arc extension line.


New Features Workshop

To New Features Workshop


Customize Layer Interface

The enhanced Layer Properties Manager supports dual monitor scenarios. It can be placed on secondary display while drafting on primary display. Therefore, the drawing editor is uncluttered and organized. The dialog box can also be minimized or closed when not needed.


Learning Resources

Additional online resources for learning the new features include: Learning Resource Page
Tutorials
Cue Card demo


License Transfer Utility

With the License Transfer utility, you can use an Autodesk product on more than one computer without purchasing an additional license.
The license transfer begins when a license is exported. The License Transfer utility moves a product license from a computer to the online Autodesk server.
The license transfer is completed when the license is imported from the online Autodesk server onto a computer.


Update Linked Data

Data links can be updated in both directions, eliminating the need to update tables or external spreadsheets independently. When data has been changed in a linked Excel spreadsheet, the changes can be quickly downloaded to the established data link. If changes have been made to a linked table in your drawing, then you can upload those changes to your external spreadsheet. All linked information can easily be kept current and in synch.


Link Table Data

Table data can be linked to data in Microsoft Excel. Data links can include links to entire spreadsheets, single cells, or ranges of cells.


Explore Materials Improvements

Materials are improved with the addition of new procedural maps. Unlike a bitmap, which is an image produced by a fixed matrix of colored pixels like a mosaic, a procedural map is generated by a mathematical algorithm. A procedural map can be generated in two dimensions or in three. New procedural maps include: Checker, Noise, Speckle, Tile and Wave. You can create more organic, realistic materials in your drawings than can be derived from texture maps. You can nest a procedural map within another procedural map. This gives more depth and color variation to the material. New procedural maps have been added to the Materials tool palette to provide materials you can start with. You can select these materials and make changes to the property settings.
Advanced Lighting Override With advanced lighting override at the material level, you can adjust aspects of the light emission, reflectance, and color bleeding to produce even more realistically rendered images than if you relied strictly on the light sources illuminating a scene.


Merge Data from Microsoft Excel Spreadsheet

Information in a Microsoft Excel spreadsheet can be added as columns with the data that has been extracted from the drawing. For this example, additional information about the project is added to the extracted data.
Create Link to Spreadsheet From the Refine Data page, the Link External Data dialog box is accessed. From this dialog box, the following three tasks are done:
  • The XLS file as the data link is chosen.
  • A column from the extracted data that matches a column from the external data in the spreadsheet is selected.
  • The columns from the spreadsheet to include with the extracted data are selected.
    • Preview the Table The columns from the Excel spreadsheet contain a symbol in the column label. The data in the table can be viewed to see how it looks before proceeding in the Data Extraction wizard where a table style is set.
    Format the Table The Table Style page in the wizard is where the table is formatted. A table style can be defined or selected if a table style exists in the drawing. If the table style contains a template, that can be selected. In this case, a table style is selected and a title for the table is entered.
    Insert the Table On the Finish page in the wizard, you click Finish to insert the table into the drawing. The table is formatted, labeled, and contains the extracted data from the drawing and columns from the Excel spreadsheet.


Migrate Dashboard Panels

With the Transfer tab of the Customize User Interface (CUI) Editor, you can convert your custom dashboard panels created in AutoCAD 2008 to ribbon panels. Once your dashboard panels are converted, they can be modified and displayed on the ribbon. To display the converted dashboard panels on the ribbon, add the new ribbon panels that are generated to a new or existing ribbon tab. After the ribbon panels are added to a ribbon tab, you then add the ribbon tab to a workspace to display it on the ribbon.


Convert Between 3D Objects

Only mesh objects can be smoothed. However, if you attempt to smooth objects such as 3D solids, surfaces, or legacy polygon and polyface meshes, you can choose to convert them to meshes. You can also convert meshes to 3D solids or surfaces. Watertight meshes with no intersecting faces can be converted to 3D solids. Meshes that are open or have gaps can be converted to surfaces. In this example, a polygon is converted to a mesh, modified, and then converted to a surface.
To complete a union, intersect, or subtract operation with mesh objects, you must first convert them to surfaces or solids. Compound objects now can be created from surfaces as well as 3D solids—including a mixture of both object types. In this example, a space is cut around a building by subtracting a solid box from a surface that was converted from a mesh.


Set Up AutoCAD

In Initial Setup you can perform some basic customization and configuration of AutoCAD after it has been installed. On the opening page of Initial Setup, you select the industry that most closely describes your work. This information is used when you search for content on the Autodesk Seek website; it helps identify related partner products and services.
From the second page of Initial Setup, you can select which additional task-based tools you want to have available alongside the standard 2D drafting tools. The task-based tools range from working with 3D objects to managing and publishing sets of drawings. Each controls the display of ribbon tabs and palettes in the default workspace.
From the final page of Initial Setup, you can specify which drawing template (DWT) file to use when creating a new drawing. You can choose to use the default drawing template, a drawing template based on the industry you selected, or one of the existing drawing templates that you created in a previous release.


Preview Drawings and Layouts

With the Quick View tool, you can preview and switch between open drawings and layouts in a drawing by displaying them in a two-level structure.
When you click the Quick View Drawings button on the status bar, each open drawing displays a thumbnail image. If you move your cursor over an image, all the layouts and the model tab for that drawing display in a row. You can do any of the following with the thumbnail images:
  • Click an image to make that drawing become the current drawing.
  • Move your cursor over the image of a layout to make the row of layouts grow larger.
  • Click an image of a layout to make it the current layout.
    • When you click the Quick View Layouts button on the status bar, the model space and layouts in the current drawing are displayed as thumbnail images in a row. You can do any of the following with the thumbnail images:
  • Click an image of a layout to make it the current layout.
  • Click the Publish or Plot icons on the image to publish or plot a layout.


Use the SteeringWheels

SteeringWheels are menus that track the cursor over the drawing window, and provide access to 2D and 3D navigation tools from a single interface. SteeringWheels, or “wheels,” are divided into wedges; each wedge contains a single navigation tool. You can start a navigation tool by clicking a wedge or by clicking and dragging the cursor over a wedge. There are four different wheels that are available. Each wheel has its own navigation theme.
  • 2D Navigation Wheel – Navigate a model by panning and zooming.
  • View Object Wheel – Center a model and define the pivot point to use with the Orbit tool. Zoom and orbit a model.
  • Tour Building Wheel – Navigate a model by moving towards or away, looking around, and changing the elevation of a view for a model.
  • Full Navigation Wheel – Center a model and define the pivot point to use with the Orbit tool; walk and look around; change the elevation of a view; orbit, pan, and zoom a model.
    • As you navigate a model with the tools on the wheels, the previous views are saved to the navigation history for the model. To restore a view from the navigation history you use the Rewind tool. With the Rewind tool, you can restore the previous view. You click the Rewind wedge on a wheel, or you can click and drag over the Rewind wedge to display the Rewind history. From there, you can scroll through the navigation history to restore a previous view.


Use the ViewCube

The ViewCube provides visual feedback about the current orientation of a model. The ViewCube can help you adjust the viewpoint of a model. The orientation shown by the ViewCube is based on the North direction of the WCS for the model. The ViewCube also shows the current UCS and allows you to restore a named UCS. The ViewCube uses labels along with a compass to indicate the direction from which you are viewing a model. You can click both the compass and surface of the ViewCube to change the viewpoint of a model. You can change the current viewpoint of the model by clicking on the surface of the ViewCube, or the orthographic triangles and roll arrows located around the ViewCube.
You can use the ViewCube to change the viewpoint of the model, but you can also change the view projection of a model, define and restore the Home view for a model, and restore a named UCS saved with a model.
  • View Projection – Switch between parallel, perspective, and perspective with orthographic faces modes when viewing a model.
  • Home View – Define and restore the Home view for a model. The Home view is a view that you define in a model; you use it to return to a familiar view of a model.
  • Restore Named UCS – Restore a named UCS by clicking the UCS menu located below the ViewCube. When the UCS menu is displayed, you can restore one of the named UCSs current by selecting it from the menu. You can click New UCS to redefine the current UCS by selecting up to 3 points. The UCS menu also displays the name of the current UCS.


Organize Tools Using the Ribbon

The ribbon provides a single, compact placement for operations that are relevant to the current workspace. It eliminates the need to display multiple toolbars, reducing clutter in the application window. The ribbon maximizes the area available for work using a single compact interface.
The ribbon is organized into a series of tabs. Each tab is composed of labeled panels that contain many of the same tools and controls available in toolbars and dialog boxes.


Overview of DWFx

DWFx — the future of DWF — is based upon the XML Paper Specification (XPS) format from Microsoft. You can view and print DWFx files using Internet Explorer 7 on Windows Vista and Windows XP. You can now – plot or publish to DWFx, attach DWFx files as Underlays, and read DWFx files using Markup Set Manager.
You can create DWFx files using either: Plot to DWFx - Set the Plotter file to DWFx ePlot (XPS Compatible).pc3 Publish to DWFx - Set the DWF Format to DWFx File. All publish and republish dialogs now include an option to specify the file as either DWF or DWFx.
You can attach DWFx files as an Underlay. A DWFx Underlay can be identified in:
  • The Quick Properties panel
  • The External References palette
  • The Properties palette
  • The object snap tooltip
    • You can read a DWFx file using Markup Set Manager. The Markup Set Manager displays the details of DWFx files containing markups. It can change the markup status and republish all sheets or only the marked up sheet of a DWF or DWFx file.


Overview of Geographic Location

Geographic location embeds location-specific references – expressed as real-world coordinates (X,Y, and Z) – in your drawing. You can then send your georeferenced drawing for review. For example, you can:
  • Put the drawing on a map (using AutoCAD Map 3D)
  • See your design in the landscape (using AutoCAD)


What is Free-Form Design?

Free-form design offers several new modeling techniques that help you create and modify 3D models that have a more flowing style.
A new, more editable, mesh object type improves upon legacy polyface meshes. A mesh object can be:
  • Smoothed incrementally to give a more rounded appearance
  • Edited by moving, scaling, or rotating its faces, edges, or vertices
  • Sharpened by creasing the edges
  • Refined to increase the number of editable faces overall, or in just the areas you specify
  • Segmented further by splitting individual faces


Scale Annotations Automatically

The process of scaling annotations in various layout viewports and in model space is now automated. Objects that are commonly used to annotate drawings have a property called Annotative. With this property, you can automate the process of scaling annotations so that they plot at the correct size on paper. In general, you define annotative objects at a paper size. The annotation scale that you set for layout viewports and model space determines the size of the annotative objects in those spaces.


Introduction to Parametric Drawing

With parametric drawing, you can add constraints to 2D geometry. Constraints are rules that determine the placement of objects with respect to each other, and their dimensions. Typically, constraints are used in the design phase of a project. Changes made to one object can adjust other objects. For example, if a line is constrained to be tangent to an arc, changing the location of the arc maintains the tangency automatically. These are called geometric constraints.
You can also constrain distances, diameters, and angles. These are called dimensional constraints. The diameter of the circle on the right is currently constrained to 0.60. Because the two circles are constrained to be equal size, a change to the diameter of the circle on the right changes them both. These capabilities provide a way to try out ideas and make design changes efficiently, while maintaining specified relationships and distances.


Introduction of Photometric Lights

The lighting capabilities have been improved to include a choice of photometric light sources. With photometric lights, you can illuminate your scenes for more realistically rendered images. Photometric lighting can be specified in International (SI) units of measurement or in American units of measurement. The setting of International (SI) units is the default value. Photometric lights use “real-world” values for adjusting lighting. For example, if your scene requires you to use fixtures (luminaries) that contain a 75W bulb, you can select a bulb that is 75W from the tool palette. You can adjust the lamp intensity of the bulb in Candela, Lumen, or Lux units. Data for photometric lights can be supplied in IES files that designate a photometric web that shows how a light from a given fixture will illuminate a room or wash a wall.


Play Back an Action Macro

After an action macro is recorded, you can play back the recorded sequence of commands and input values. To play back an action macro, you can either enter the name of the macro at the Command prompt or select the name of the macro in the Action Recorder.


Preview Layer Property Changes

Layer property changes are now applied instantly. You do not need to click Apply or OK to apply changes.
When space (Model to Layout or Layout to Viewport) is switched, the enhanced Layer Properties Manager displays the current state of the layer properties and filter selection in the current space. The display of the appropriate additional layout or viewport properties is restored.
When the document is switched, the Layer Properties Manager is updated and displays the current state of the layer properties and filter selection in the current document.


Position Quick Properties Panel

The Quick Properties panel is displayed when you select a single object or multiple objects in your drawing. You can set where you want the Quick Properties panel to display. You can change the value of the QPLOCATION system variable or you can select a mode in the Quick Properties panel shortcut menu. The location modes for the Quick Properties panel are cursor and float.
Cursor:
Cursor is the default location mode of the Quick Properties panel. In cursor mode, the Quick Properties panel is displayed in a location relative to where you selected the object.
Float:
In float mode, the Quick Properties panel is always displayed in the same position unless you relocate the panel manually.


Sun and Sky Background

You can now simulate the effects of sunlight in your drawings by applying the new Sun and Sky background to a drawing view. Atmosphere contributes a considerable amount of light to outdoor scenes. The intensity and color of this light varies greatly depending on sky conditions. These conditions can now be replicated through property settings.


Preview Realistic Materials

Any change to a material updates the preview swatch. You can see what the material “really looks like” before you do the final render. The settings for a realistic material are physical properties, so when you use realistic materials in conjunction with photometric lights, the renderings that result are physically realistic. Even though most materials will react realistically when lit by photometric lights, some adjustments are often necessary at the material level to help improve indirect lighting or broaden the artistic expression. You can select a material from the Materials palette and adjust the physical properties of the material and see the results in the preview swatch.


Receive New Message Notification

On the right side of the menu bar, click the Communication Center button to display the Communication Center panel. Communication Center provides the following kinds of announcements:
  • Software updates
  • Articles and tips
  • Product support information
  • RSS feeds
    • When new information is available, a balloon message is displayed below the Communication Center button. Click the link in the balloon message to open the article or announcement.
    To customize the appearance of balloon messages, click Search Settings. In the InfoCenter Settings dialog box, in the left pane, click Balloon Notification. If you prefer not to be notified, you can turn off Balloon Notification in the InfoCenter Settings dialog box. You can also customize the transparency of balloon messages as well as the length of time for balloon notifications to display.


Reduce Visual Complexity

As you create drawings, they get complex quickly, making them harder to work with. Typically, you turn layers off to manage the density of objects, but in so doing, you can lose context and ability to snap to objects on hidden layers. Instead, by locking layers, you can dim the objects on those layers instead of turning them off. This reduces the visual complexity of a drawing while still providing a visual reference and a means for snapping to the dimmed objects.


Insert Request for User Input

When recording an action macro, all input is captured. You can specify which actions use the recorded value or request a new value during playback. Values that can be added during playback are keywords, coordinate points, numeric or text values, or object selections.


Customize Ribbon Orientation

The ribbon can be displayed horizontally, vertically, or as a floating palette. The horizontal ribbon is displayed at the top of the drawing window by default when you create or open a drawing.
When the ribbon is displayed horizontally, each tab is identified with a text label. Tabs on the vertical ribbon are labeled with an icon label.
Drag individual ribbon panels into the drawing window to create floating panels. When you select another tab on the ribbon, the floating panels do not display until you select their associated tab again.


Customize Rollover Tooltips

With rollover tooltips, you can view the current values for a defined set of properties for an object in a drawing without using the List command or the Properties palette. You can customize the properties that appear in a rollover tooltip for an object with the Customize User Interface editor. The properties that you can choose to display for a specific object type are the same properties that are on the Properties palette. You can display properties that are specific to an object or that apply to all object types.


Search for Commands

Perform a real-time search for commands on the Quick Access toolbar, in the application menu, and on the ribbon.


Search and Share with Autodesk Seek

Search the Autodesk Seek website for product and design information that can be added to your drawing. On the ribbon, click the Insert tab > Content panel. In the Seek Design Content text box, enter one or more terms and click the Search button to view results from Autodesk Seek in a new browser window. Autodesk Seek requires internet access and is currently available in US English only.
Share unique blocks or entire drawings directly from AutoCAD. On the ribbon, click the Output tab > Autodesk Seek panel > Share with Autodesk Seek to share a selected block. Within the Share with Autodesk Seek dialog box, you can select a different block on the current sheet or you can share the entire drawing. Autodesk Seek requires internet access and is currently available in US English only.


Override Layer Properties by Viewport

Objects can now display differently in individual viewports in paper space while retaining their original layer properties in model space. When a layout viewport is current, property overrides can be assigned to one or more layers so that the new settings apply only to that viewport. The viewport on the right displays wiring in a different color than in the left viewport. That’s because a color override was set on the Wiring layer for that viewport.
When the Layer Properties Manager is opened from a layout tab, four new columns display. These columns are used for setting layer property overrides for the current viewport.
  • VP Color
  • VP Linetype
  • VP Lineweight
  • VP Plot Style
    • Examine Viewport Override Columns in the Layer Properties Manager When the Layer Properties Manager is opened when the right viewport is active, a background color displays behind the Layer Name, Color setting and VP Color setting. If the left viewport is active when the Layer Properties Manager is opened, the background color does not display because there are not layer property overrides for that viewport.
    Use Viewport Overrides Filter Another way to see which layers have property overrides is through the Viewport Overrides filter in the Layer Properties Manager. When property overrides exist for the current viewport, a Viewport Overrides filter is automatically created in the tree list. By selecting the filter, you can quickly see all the layers that have property overrides for the viewport. In this example, the right viewport is active and the Viewport Overrides filter displays the Lighting layer as the only layer that contains property overrides.


Set Orientation for Annotations

Annotative blocks and text can be set so that their orientation matches the orientation of the layout. The orientation of annotative hatches matches the orientation of the layout by default. Even if the view in the layout viewport is twisted or nonplanar, the orientation of these objects in layout viewports will match the orientation of the layout. You set the orientation for blocks and text either through the Properties palette or through the Block Definition or Style dialog boxes.


Show Invalid Hatch Boundary

Hatches are not always successfully created when the hatch boundaries are not completely closed. Invalid boundaries are now detected and red circles display to show the location of problem areas. The red circles remain displayed after you exit the HATCH command to help you find and fix the hatch boundaries. The red circles disappear when you start the HATCH command again, or if you enter a REDRAW or REGEN command.


Display Annotative Objects

The Annotation Visibility button on the drawing or application status bar sets the display for annotative objects. All the annotative objects, or only those that support the current annotation scale, can be displayed. This reduces the need to use multiple layers to manage the visibility of annotations for model space and layout viewports.


Set CAD Manager Channel

You can set up the CAD Manager location in the CAD Manager Control Utility. Use the InfoCenter Settings dialog box to access the Communication Center. In the dialog box, the Communication Center settings include:
  • Autodesk Channels
  • Balloon Notification
  • RSS Feeds

    • In the Communication Center panel, you specify the number of results to display. Use the CAD Manager Control Utility to specify CAD Manager Channel settings.


Specify the Channels to Display

In the Autodesk Channels panel, you choose which Autodesk feed to include in the Communication Center panel. The description of each channel is displayed in the description column of the list.


Set Balloon Notification

You customize the appearance of balloon notification in the Balloon Notification panel. In the right pane, select or clear the options to turn balloon notification on or off, enter the transparency value of the balloon, or set the value using the slider.


Reshape Subobjects

Drag grips to stretch, rotate, or move one or more mesh subobjects, including faces, edges, or vertices. As you drag, the surrounding faces and edges continue to adhere to the boundaries of the modified subobject.
In a complex 3D solid, surface, or mesh, selecting a specific subobject can be difficult. By setting a subobject filter, you can limit the selection candidates to a specific subobject type. For example, when you set the filter to Edges, only edge subobjects are available for selection as you ctrl+click the 3D object. Subobject filters are available from a variety of access points, including the ribbon and the shortcut menu.
The 3D Scale gizmo resizes 3D objects, constraining the change to the limits you specify. By clicking different parts of the gizmo, you restrict the modifications to the following:
  • Scaled along a plane
  • Scaled uniformly
  • Scaled along an axis

    • Overall gizmo behavior has been streamlined. You can now specify whether the Scale, Move, or Rotate gizmo is displayed by default when you select a 3D object.


Define Tooltip Options

Tooltips allow for instant access to information about objects in a drawing, controls in a dialog box, commands used in the user interface, or thumbnails of views or layouts in a drawing.
You control tooltip options in the Options dialog box. You can turn the display of tooltips on and off, set the time interval for the display of tooltip extended information, and specify which predefined commands to display in tooltips. Some shortcut menus offer additional options for controlling to the display of tooltips for the user interface they are associated with.


Get Information Through InfoCenter

On the menu bar, InfoCenter provides access to multiple sources of information. You can enter keywords or a question for help, display the Communication Center panel for product updates and announcements, or display the Favorites panel to access saved topics.
When you enter a question for help and then press ENTER or click the Search button, you search multiple Help resources as well as any specified documents. The results are displayed as links on a panel. The Display More Results and Display Previous Results buttons allow you to browse the search results. Click a link to display the topic.
Click the star icon that displays next to a link to save it as a favorite. The Favorites panel displays links saved as favorites. Click the Delete icon next to a link on the Favorites panel to remove it.
The Communications Center panel displays links to product update and announcement information and RSS feeds, and may include links to Subscription Center and CAD Manager specified files.


Create Dimensional Relationships

Overview
Dimensional constraints determine the distances or angles between objects, points on objects, or the size of objects. Here, dimensional constraints were applied to the circles and the horizontal distance between the circles. Dimensional constraints include both a name and a value. As shown, the associated geometry resizes automatically when the value in a dimensional constraint is edited.
Apply Dimensional Constraints
You can apply a dimensional constraint between two points as shown by d1. The point icons, shown in red, snap to endpoints, midpoints, and centers of objects. Here, points at the ends of the selected vertical lines were specified. You can also apply a dimensional constraint by selecting an object as shown by d2, or by selecting a pair of objects.
Dynamic Constraints
By default, dimensional constraints are dynamic.They are ideal for normal parametric drawing and design tasks. Dynamic constraints have the following characteristics:
  • Remain the same size when zooming in or out
  • Can easily be turned on or off
  • Display using a fixed dimension style
  • Provide limited grip capabilities
  • Do not display on a plot
    • Annotational Constraints
    With the Properties palette, you can change dynamic constraints into a different form called Annotational constraints. Annotational constraints are useful when you want dimensional constraints to have the following characteristics:
  • Display using the current dimension style
  • Change size when zooming in or out
  • Provide full grip capabilities
  • Display on a plot
    • Parameters Manager
    With the Parameters Manager, you can create, edit, rename, delete, and filter all dimensional constraints and user variables in the drawing. You can drive changes in the constrained geometry by changing the values in the list. Clicking the constraints in the list selects the associated dimensional constraints in the drawing and highlights them.
    Names and User Variables
    Dimensional constraints are named automatically. However, you can enter more meaningful names as illustrated. In addition to constants such as 6 and 4, you can also use mathematical expressions as shown in the Radius row. For formulas that can be referenced from dimensional constraints, you can create user variables as shown in the Area row. From the shortcut menu in each Expression cell, you can choose from a large selection of functions and constants.


View a Geographic Location

Geographic location information can be viewed in either of the following ways:
  • Through a graphic (geographic marker) that provides a visual indication of the location coordinates.
  • Through the status bar coordinate display that shows the latitude and longitude.
    • View a Geographic Marker
    The geographic marker is displayed differently in 2D and 3D. Note: To view the geographic marker, set the GEOMARKERVISIBILITY system variable to 1.
    View Geographic Location Information
    The status bar displays the latitude and longitude of the WCS coordinates. After you insert a geographic marker, right-click the coordinate display on the status bar, and click Geographic. The status bar displays the latitude and longitude information.


View and Open Documents

You can view recently used files and menu commands in the menu browser. You can also view a list of open files. The Recent Documents, Open Documents, and Recent Actions views are available under the menus.
Select the Recent Documents option under the regular drawing menus to view a list of the most recently saved files. The files are listed with the most recently saved file at the top of the list.
Select the Open Documents option under the regular drawing menus to view a list of files that are currently open in AutoCAD. Files are listed with the most recently opened file at the top of the list. The currently displayed file is displayed with a radio button to the left of the shortcut in the list.
Click the push pin icon to keep a file available to view in the list regardless of files that may be saved later. The file is displayed at the bottom of the recent documents list until you click the push pin button again to turn it off .


Choose a Workspace

You can switch between workspaces from the menu browser. The following task-based workspaces are already defined in the product:
  • 2D Drafting & Annotation
  • 3D Modeling
  • AutoCAD Classic
    • You can also switch between workspaces from the Workspace button on the status bar.
    The 2D Drafting & Annotation and 3D Modeling workspaces include both the ribbon and menu browser.
    The Classic workspace contains the classic menu bar by default. The menu browser can be displayed with the classic menu bar if desired.